<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bonusgroup.mapper.BonusGroupMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bonusGroupResultMap" type="org.springblade.modules.guosen.bonusgroup.entity.BonusGroup">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="group_name" property="groupName"/>
        <result column="bussiness_id" property="bussinessId"/>
        <result column="bouns_scene_id" property="bounsSceneId"/>
        <result column="service_rate" property="serviceRate"/>
        <result column="group_desc" property="groupDesc"/>
    </resultMap>


    <select id="selectBonusGroupPage" resultMap="bonusGroupResultMap">
        select * from cyzh_bonus_group where is_deleted = 0
    </select>

</mapper>
